Subject: Re: bug#20356: 25.0.50; Strange terminal glyphs in emacs -nw in recent master

From: Stefan Monnier <[email-masked]>
Date: Fri, 17 Apr 2015 10:39:20 -0400

> A reliable way to trigger this for me is M-DEL, though many deletion
> operations cause spurious data to be displayed. C-l will remove said

This is likely coming from the "OSC 52" SetSelection support
recently added and which your gnome-terminal apparently doesn't support
yet term/xterm.el doesn't realize it.

Could you add some debug `message's to check that
terminal-init-xterm-activate-set-selection is indeed called (it
apparently shouldn't).  The problem is likely in xterm--version-handler
to add also some `message's there to see what `version' number is sent
by gnome-terminal (and why the code doesn't set it back to 200)?

        Stefan